/* Copyright (C) 2003 Sren Tjagvad Madsen & Martin Elmer Jrgensen
 * email: {tjagvad,elmer}@daimi.au.dk */

import java.util.Vector;
/** The NonSeqViewComparator class is extended in the classes: {@link
NSVCEdge}, {@link NSVCVertex}, {@link NSVCBagIR}.*/
public abstract class NonSeqViewComparator extends ViewComparator {

    public NonSeqViewComparator(String n) { name=n; }

    public ViewDifference compare(SimilarityStatement ss) {
	if (ss instanceof NonSeqSimStmt) {
	    return nonSeqCompare((NonSeqSimStmt)ss);
	}
	else { 
	    System.out.println("warning: returning null from NonSeqViewComparator.compare");
	    return null;
	}
    }

    public abstract ViewDifference nonSeqCompare(NonSeqSimStmt nsss);


}
