/* Copyright (C) 2003 Sren Tjagvad Madsen & Martin Elmer Jrgensen
 * email: {tjagvad,elmer}@daimi.au.dk */

/** The view comparator produces a comparison value for the views of
    the two subgraphs of a given {@link SimilarityStatement}. */
public abstract class ViewComparator {

    /** The label of this ViewComparator. */
    public String name="";
    /** Compare must be defined in subclasses of ViewComparator. */
    public abstract ViewDifference compare(SimilarityStatement ss);

}
