/* Copyright (C) 2003 Sren Tjagvad Madsen & Martin Elmer Jrgensen
 * email: {tjagvad,elmer}@daimi.au.dk */

/** A ViewDifference is the result of the application of a {@link
    ViewComparator} to two {@link Subgraph}s. */
public class ViewDifference {

    /** The ViewComparator that produced this ViewDifference. */
    public ViewComparator origin=null;
    /** The overall result or value of this ViewDifference. */
    public double view=-1.0;
    public ViewDifference(double v, ViewComparator or) { 
	view = v; 
	origin=or;
    }
    public String toString() {
	return origin.name+ " = "+view;
    }

    public String toGnuplotString() {
	return ""+view;
    }

    public String toGnuplotHeader() {
	return ""+origin.name;
    }


}
